Create Contact

Creates a contact. This will also verify the contact's address if you create it using a live API key. To sucessfully create a contact, either a firstName, a companyName, or both are required. You can supply both, but you cannot supply neither.

You have the option to supply the entire address (except for countryCode) via addressLine1, in which case PostGrid will parse it automatically. However, this is not guaranteed to be correct, so we recommend passing along the structured address fields (city, provinceOrState, etc) if you have them.

Note that if you create a contact that has identical information to another contact, this will simply update the description of the existing contact and return it. This avoids creating duplicate contacts.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The first line of the contact's address.

string

Second line of the contact's address, if applicable.

string

The city of the contact's address.

string

Province or state of the contact's address.

string

The postal or ZIP code of the contact's address.

string
required

The ISO 3611-1 country code of the contact's address.

string

Company name of the contact.

string

Last name of the contact.

string

Email of the contact.

string

Phone number of the contact.

string

Job title of the contact.

boolean
Defaults to false

If true, PostGrid will skip running this contact's address through our address verification system.

boolean
Defaults to false

If true, PostGrid will force this contact to have an addressStatus of verified even if our address verification system says otherwise.

string

An optional string describing this resource. Will be visible in the API and the dashboard.

metadata
object

See the section on Metadata.

string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json